Last Comment Bug 3832 - decode MIME for the mail thread pane
: decode MIME for the mail thread pane
Status: VERIFIED FIXED
:
Product: MailNews Core
Classification: Components
Component: Database (show other bugs)
: Trunk
: x86 Windows NT
: P3 normal (vote)
: M4
Assigned To: David :Bienvenu
: Katsuhiko Momoi
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-03-16 13:16 PST by nhottanscp
Modified: 2008-07-31 01:22 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description nhottanscp 1999-03-16 13:16:37 PST
Data base to add an interface to return MIME decoded unicode string (nsString).
Comment 1 nhottanscp 1999-04-05 17:08:59 PDT
I saw mime was hooked into the db. Has that been used by the thread pane?
Adding putterman to the cc: list.
Comment 2 scottputterman 1999-04-05 17:13:59 PDT
Yes I'm using

message->GetMime2EncodedSubject(subject);
message->GetMime2EncodedAuthor(subject);

in the thread pane.
Comment 3 nhottanscp 1999-04-05 19:49:59 PDT
I found a bug in libmime (my code) and checed in a fixed today.
By using 4/6, MIME encoded messages can be seen in the thread pane.
David, would you change the status to FIXED?
Comment 4 David :Bienvenu 1999-04-05 19:51:59 PDT
OK, but I didn't really do any of the work :-)
Comment 5 Katsuhiko Momoi 1999-04-08 16:46:59 PDT
** checked with 4/7/99 build **

This is working now. I checked both iso-8859-1 and iso-2022-jp MIME-
encoded headers in sent msgs and they were decoded and
displayed correctly in the view pane.

Note You need to log in before you can comment on or make changes to this bug.